#!/usr/bin/python

from PIL import Image
from PIL import ImageFilter
from PIL import ImageOps
import math
import re
import struct

def chunks(l, n):
    # Yield successive n-sized chunks from l.
    for i in xrange(0, len(l), n):
        yield l[i:i+n]

#srcPath = 'earth_36.png'
#srcPath = 'earth_26.png'
#srcPath = 'jupiter_32.png'
srcPath = 'noel.png'

src = Image.open( srcPath )
srcSize = src.size
w = srcSize[0]
h = srcSize[1]

rgb_im = src.convert('RGB')

rgbs = []
for y in range(0,h):

	for x in range(0,w):
		r,g,b = rgb_im.getpixel( (x,y) )
		#rgbs.append( '{' + ','.join("{0}".format(n) for n in [r,g,b]) + '}' )
		rgbs.append(r);
		rgbs.append(g);
		rgbs.append(b);
	
	#lines.append( ','.join("{0}".format(n) for n in rgbs) );

chunx = list( chunks( rgbs, 24 ))
lines = []
for ch in chunx:
	lines.append( ','.join( str(n).rjust(3,' ') for n in ch ) )

print "\n\n"
print "const uint8_t IMG_WIDTH = " + str(w) + ";"
print "PROGMEM prog_uchar IMG_DATA[] = {"
print "\t" + ",\n\t".join( lines )
print "};"
print "\n\n"
